org.eclipse.aether.collection

## Interface DependencyCollectionContext

-     public interface DependencyCollectionContext

  A context used during dependency collection to update the dependency manager, selector and traverser.
  See Also:
    `DependencyManager.deriveChildManager(DependencyCollectionContext)`, `DependencyTraverser.deriveChildTraverser(DependencyCollectionContext)`, `DependencySelector.deriveChildSelector(DependencyCollectionContext)`, `VersionFilter.deriveChildFilter(DependencyCollectionContext)`
  Restriction:
    This interface is not intended to be extended by clients.
  Restriction:
    This interface is not intended to be implemented by clients.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Artifact` | `getArtifact()` Gets the artifact whose children are to be processed next during dependency collection.
    `Dependency` | `getDependency()` Gets the dependency whose children are to be processed next during dependency collection.
    `List<Dependency>` | `getManagedDependencies()` Gets the dependency management information that was contributed by the artifact descriptor of the current dependency.
    `RepositorySystemSession` | `getSession()` Gets the repository system session during which the dependency collection happens.

- - ### Method Detail

    - #### getSession

          RepositorySystemSession getSession()

      Gets the repository system session during which the dependency collection happens.
      Returns:
        The repository system session, never `null`.

    - #### getArtifact

          Artifact getArtifact()

      Gets the artifact whose children are to be processed next during dependency collection. For all nodes but the root, this is simply shorthand for `getDependency().getArtifact()`. In case of the root node however, `getDependency()` might be `null` while the node still has an artifact which serves as its label and is not to be resolved.
      Returns:
        The artifact whose children are going to be processed or `null` in case of the root node without dependency and label.

    - #### getDependency

          Dependency getDependency()

      Gets the dependency whose children are to be processed next during dependency collection.
      Returns:
        The dependency whose children are going to be processed or `null` in case of the root node without dependency.

    - #### getManagedDependencies

          List<Dependency> getManagedDependencies()

      Gets the dependency management information that was contributed by the artifact descriptor of the current dependency.
      Returns:
        The dependency management information, never `null`.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.